<?php

require_once "../controladores/productos.controlador.php";
require_once "../modelos/productos.modelo.php";
require_once "../controladores/marcas.controlador.php";
require_once "../modelos/marcas.modelo.php";
session_start();

class TablaProductosVentas{

 	/*=============================================
 	 MOSTRAR LA TABLA DE PRODUCTOS
  	=============================================*/ 

	public function mostrarTablaProductosVentas(){

		$item = null;
    	$valor = null;

  		$productos = ControladorProductos::ctrMostrarProductos($item, $valor);	
		
  		if(count($productos) == 0){

  			echo '{"data": []}';

		  	return;
  		}
		
  		$datosJson = '{
		  "data": [';

		  for($i = 0; $i < count($productos); $i++){

			/** TRAEMOS LAS MARCAS */
			$item = "id";
			$valor = $productos[$i]["id_marca"];

			$marca = ControladorMarcas::ctrMostrarMarcas($item, $valor);

		  	/*=============================================
 	 		TRAEMOS LA IMAGEN
  			=============================================*/ 

		  	$imagen = "<img src='".$productos[$i]["imagen"]."' width='30px'>";

		  	/*=============================================
 	 		STOCK
  			=============================================*/ 

  			if($productos[$i]["stock_fisico"] <= 10){

  				$stock = "<button class='btn btn-danger btn-sm'>".$productos[$i]["stock_fisico"]."</button>";

  			}else if($productos[$i]["stock_fisico"] > 11 && $productos[$i]["stock_fisico"] <= 15){

  				$stock = "<button class='btn btn-warning btn-sm'>".$productos[$i]["stock_fisico"]."</button>";

  			}else{

  				$stock = "<button class='btn btn-success btn-sm'>".$productos[$i]["stock_fisico"]."</button>";

  			}

		
                   
				$precioMenor = $productos[$i]["precio_venta_sugerido"];
				$precioMenor = round($precioMenor,2);


			$ver = "<div class='btn-group'><button class='btn btn-success btnVerImagen btn-sm'data-toggle='modal' data-target='#modalimagen' idProducto='".$productos[$i]["id"]."'><i class='fas fa-eye'></i></button></div>";

		  	/*=============================================
 	 		TRAEMOS LAS ACCIONES
  			=============================================*/ 

		  	$botones =  "<div class='btn-group'><button class='btn btn-primary agregarProducto recuperarBoton btn-sm' idProducto='".$productos[$i]["id"]."'>Agregar</button></div>"; 

		  	$datosJson .='[
			      "'.$ver.'",
			      "'.$productos[$i]["descripcion"].'",
				  "'.$marca["descripcion"].'",
			      "'.$stock.'",
				  " '.number_format($precioMenor,2).'",
			      "'.$botones.'"
			    ],';

		  }

		  $datosJson = substr($datosJson, 0, -1);

		 $datosJson .=   '] 

		 }';
		
		echo $datosJson;


	}


}

/*=============================================
ACTIVAR TABLA DE PRODUCTOS
=============================================*/ 
$activarProductosVentas = new TablaProductosVentas();
$activarProductosVentas -> mostrarTablaProductosVentas();
